StartupEvents.registry('palladium:abilities', (event) => {
    event.create('telekinesis/boost_sharing')

        .firstTick((player, entry, holder, enabled) => {
            const tags = player.tags
            if (enabled) {
                tags.add("telekinesis_boost_sharing_toggle")
                player.stages.add("telekinesis.boost.sharing")
            }
        })

        .lastTick((player, entry, holder, enabled) => {
            player.tags.remove("telekinesis_boost_sharing_toggle")
            player.stages.remove("telekinesis.boost.sharing")
        });
});

function getEntityByUUID(uuid) {
    let entities = Utils.server.getEntities()
    for (let i = 0; i < entities.size(); i++) {
        if (entities.get(i).uuid == uuid) {
            return entities.get(i)
        }
    }
}