StartupEvents.registry('palladium:abilities', (event) => {
    event.create('telekinesis/boost_sharing_raytrace')

        .firstTick((player, entry, holder, enabled) => {
            const tags = player.tags
            if (tags.contains("telekinesis_boost_sharing_raytrace")) {
                tags.remove("telekinesis_boost_sharing_raytrace")
            }
        })

        .tick((player, entry, holder, enabled) => {
            const tags = player.tags
            if (enabled) {
                let target = rayTrace(player, 5, 0).entity
                if (target && target.isPlayer() && player.isCrouching()) {
                    if (!tags.contains("telekinesis_boost_sharing_raytrace")) {
                        global.playSoundLocal(player, 'minecraft:ui.toast.in', "players", 0.5, 1.5);
                        tags.add("telekinesis_boost_sharing_raytrace")
                    }
                } else {
                    if (tags.contains("telekinesis_boost_sharing_raytrace")) {
                        tags.remove("telekinesis_boost_sharing_raytrace")
                    }
                }
            }
        })

        .lastTick((player, entry, holder, enabled) => {
            const tags = player.tags
            if (tags.contains("telekinesis_boost_sharing_raytrace")) {
                tags.remove("telekinesis_boost_sharing_raytrace")
            }
        });
});